Notice: We have migrated to GitLab launching 2024-05-01 see here: https://gitlab.rtems.org/

#1700 closed enhancement

Add missing pthread routines

Reported by: Joel Sherrill Owned by: Ralf Corsepius
Priority: normal Milestone: 4.11
Component: tool/newlib Version: 4.11
Severity: minor Keywords:
Cc: Blocked By:
Blocking:

Description (last modified by Joel Sherrill)

The attached patch adds prototypes for:

pthread_attr_setstack
pthread_attr_getstack
pthread_attr_setguardsize
pthread_attr_getguardsize

And adds guardsize to pthread_attr_t.

I have these implemented in a local tree. The patch just needs to be incorporated into our patch and submitted to newlib.

Attachments (1)

pthread.diff (1.9 KB) - added by Joel Sherrill on 09/07/10 at 12:57:46.
Patch for pthread.h and sys/types.h

Download all attachments as: .zip

Change History (4)

Changed on 09/07/10 at 12:57:46 by Joel Sherrill

Attachment: pthread.diff added

Patch for pthread.h and sys/types.h

comment:1 Changed on 09/30/10 at 14:30:04 by Ralf Corsepius

Replying to comment:2:

What do you want to do about the sys/types.h?

I don't know, and would have to see your implementation before being able to answer. It may well be possible, this API/ABI breaking change is inevitable.

I can add the cpukit part and make that conditional but you must have
missed my email about what to do about the tests?

I did answer - but as you have repeatedly been told ... mail traffic through .rtems.org appears _very_ unreliable in recent weeks.

Should I conditionalize
their entire bodies?

Yes, that's what I had proprosed.

comment:2 Changed on 11/22/14 at 15:31:35 by Joel Sherrill

Description: modified (diff)
Milestone: 4.11
Resolution: fixed
Status: newclosed

Patch merged to newlib 2010-12-08

comment:3 Changed on 11/23/14 at 15:50:06 by Gedare Bloom

Version: unknown4.11

Set version based on title name, these seem obviously to only affect 4.11

Note: See TracTickets for help on using tickets.